# Enum Class HotSpotDiagnosticMXBean.ThreadDumpFormat

java.lang.Object
java.lang.Enum<HotSpotDiagnosticMXBean.ThreadDumpFormat>
com.sun.management.HotSpotDiagnosticMXBean.ThreadDumpFormat

All Implemented Interfaces:
  `Serializable, Comparable<HotSpotDiagnosticMXBean.ThreadDumpFormat>, Constable`

Enclosing interface:
  `HotSpotDiagnosticMXBean`

public static enum HotSpotDiagnosticMXBean.ThreadDumpFormat extends Enum<HotSpotDiagnosticMXBean.ThreadDumpFormat>
Thread dump format.

Since:
  21

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JSON`
JSON (JavaScript Object Notation) format.
`TEXT_PLAIN`
Plain text format.

## Method Summary

Modifier and Type
Method
Description
`static HotSpotDiagnosticMXBean.ThreadDumpFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HotSpotDiagnosticMXBean.ThreadDumpFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TEXT_PLAIN

public static final HotSpotDiagnosticMXBean.ThreadDumpFormat TEXT_PLAIN
Plain text format.

### JSON

public static final HotSpotDiagnosticMXBean.ThreadDumpFormat JSON
JSON (JavaScript Object Notation) format.

External Specifications
  - JavaScript Object Notation

## Method Details

### values

public static HotSpotDiagnosticMXBean.ThreadDumpFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HotSpotDiagnosticMXBean.ThreadDumpFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null